<template>
  <elFrame :src="'/wvp/?mine=' + selectedMine.id" />
</template>
<script>
import elFrame from '@/components/Iframe/index'
export default {
  name: 'EVideoWvp',
  components: { elFrame },
  data: {
    selectedMine: {},
  },
  mounted() {
    const selectedMineJson = window.localStorage.getItem('kd.selected.mine')
    let noMine = false
    if (!selectedMineJson) {
      noMine = true
    } else {
      const selectedMine = JSON.parse(selectedMineJson)
      if (!selectedMine || selectedMine.enterpriseId !== this.user.enterpriseId) {
        noMine = true
      } else {
        this.selectedMine = selectedMine
      }
    }
    if (noMine) {
      this.$message.error('当前未选择矿山')
      this.$router.replace('/dashboard')
    }
    this.searchParamReset()
    this.searchSubmit()
  },
}
</script>
  